#ifndef _UTILS_H_
#define _UTILS_H_

char *datetime(time_t time);
char *readlink_alloc(const char *link);

/* add path with label */
void cat_add_disk(Ui *ui, const char *label, const char *path);

/* nuke one disk */
void nuke_disk(gpointer data, gpointer user_data);
/* nuke all disks */
void nuke_catalog(Catalog *cat);

/* fill one disk */
void fill_disk(gpointer data, gpointer user_data);
/* fill all disks */
void fill_disks(GtkCTree *ctree, Catalog *cat);

void update_statusbar(Ui *ui, int mode);

#endif /* _UTILS_H_ */
